Name:           ocaml-bin-prot
Version:        2.0.1
Release:        %mkrel 1
Summary:        Automated code generation for converting OCaml values to/from a type-safe binary protocol
License:        LGPL
Group:          Development/Other
URL:            http://ocaml.info/home/ocaml_sources.html#bin-prot
Source0:        http://hg.ocaml.info/release/bin-prot/archive/bin-prot-release-%{version}.tar.bz2
# curl http://hg.ocaml.info/release/bin-prot/archive/release-${version}.tar.bz2 > bin-prot-release-%{version}.tar.bz2
Source1:        generate_doc_Makefile
BuildRequires:  ocaml
BuildRequires:  camlp4
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ounit
BuildRequires:  ocaml-type-conv
BuildRequires:  ncurses-devel

%description
  This library contains functionality for reading and writing OCaml-values
in a type-safe binary protocol. These functions are extremely efficient and
provide users with a convenient and safe way of performing I/O on any
extensionally defined data type. This means that functions, objects, and
values whose type is bound through a polymorphic record field are not
supported, but everything else is.

   As of now, there is no support for cyclic or shared values. Cyclic values
will lead to non-termination whereas shared values, besides requiring
significantly more space when encoded, may lead to a substantial increase in
memory footprint when they are read back in.

  Currently only little endian (2) computer architectures are supported.
Some architectures may potentially also suffer from data alignment issues
with this library. Only Intel architectures are currently well-tested. Both
32bit and 64bit architectures are fully supported.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n bin-prot-release-%{version}
mv doc/Makefile doc/Makefile.orig
cp %{SOURCE1} doc/Makefile

%build
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

%files
%doc LICENSE LICENSE.Tywith COPYRIGHT
%dir %{_libdir}/ocaml/bin_prot
%{_libdir}/ocaml/bin_prot/META
%{_libdir}/ocaml/bin_prot/*.cma
%{_libdir}/ocaml/bin_prot/*.cmi
%{_libdir}/ocaml/bin_prot/*.cmo
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc Changelog README.txt
%doc doc/ lib_test/
%{_libdir}/ocaml/bin_prot/*.a
%{_libdir}/ocaml/bin_prot/*.cmxa
%{_libdir}/ocaml/bin_prot/*.mli
%{_libdir}/ocaml/bin_prot/*.ml


%changelog

* Thu Jan 12 2012 blue_prawn <blue_prawn> 2.0.1-1.mga2
+ Revision: 195334
- imported package ocaml-bin-prot

